---
title: Get information about all running scheduled jobs
slug: campaign/api/get-information-about-all-running-scheduled-jobs
docTags: 
createdAt: 2026-09-02T15:04:15.718Z
---

{
  "id": "pKuHWjzKDkp1TP4Bnp8F9",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.campaign.episerver.net/rest/{clientId}/customerjobs/running",
    "servers": [
      {
        "url": "https://api.campaign.episerver.net/rest/{clientId}/customerjobs/running"
      }
    ],
    "name": "Get information about all running scheduled jobs",
    "description": "<p>Get detailed information about all running scheduled jobs, such as name, start time, elapsed running time.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "clientId",
          "type": "integer<int64>",
          "description": "Client ID",
          "format": "int64"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "application/vnd.optivo.broadmail.v1+json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Authorization",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>All running scheduled jobs were retrieved successfully (empty result if none was found).</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "RestRunningJobStreamingCollection",
            "schema": [
              {
                "name": "elements",
                "kind": "optional",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/RestRunningJob",
                "customType": "RestRunningJob[]",
                "schema": [
                  {
                    "name": "name",
                    "kind": "optional",
                    "type": "string",
                    "description": "Name of the running scheduled job"
                  },
                  {
                    "name": "started",
                    "kind": "optional",
                    "type": "string<date-time>",
                    "description": "Start date and time of the scheduled job",
                    "format": "date-time"
                  },
                  {
                    "name": "elapsedRunningTime",
                    "kind": "optional",
                    "type": "object",
                    "description": "Elapsed running time of the scheduled job",
                    "example": "",
                    "schema": [
                      {
                        "name": "seconds",
                        "kind": "optional",
                        "type": "integer<int64>",
                        "description": "",
                        "format": "int64"
                      },
                      {
                        "name": "zero",
                        "kind": "optional",
                        "type": "boolean",
                        "description": ""
                      },
                      {
                        "name": "nano",
                        "kind": "optional",
                        "type": "integer<int32>",
                        "description": "",
                        "format": "int32"
                      },
                      {
                        "name": "negative",
                        "kind": "optional",
                        "type": "boolean",
                        "description": ""
                      },
                      {
                        "name": "units",
                        "kind": "optional",
                        "type": "array",
                        "description": "",
                        "example": "",
                        "itemType": "object",
                        "customType": "object[]",
                        "schema": [
                          {
                            "name": "durationEstimated",
                            "kind": "optional",
                            "type": "boolean",
                            "description": ""
                          },
                          {
                            "name": "duration",
                            "kind": "optional",
                            "type": "object",
                            "description": "",
                            "example": "",
                            "schema": [
                              {
                                "name": "seconds",
                                "kind": "optional",
                                "type": "integer<int64>",
                                "description": "",
                                "format": "int64"
                              },
                              {
                                "name": "zero",
                                "kind": "optional",
                                "type": "boolean",
                                "description": ""
                              },
                              {
                                "name": "nano",
                                "kind": "optional",
                                "type": "integer<int32>",
                                "description": "",
                                "format": "int32"
                              },
                              {
                                "name": "negative",
                                "kind": "optional",
                                "type": "boolean",
                                "description": ""
                              }
                            ]
                          },
                          {
                            "name": "timeBased",
                            "kind": "optional",
                            "type": "boolean",
                            "description": ""
                          },
                          {
                            "name": "dateBased",
                            "kind": "optional",
                            "type": "boolean",
                            "description": ""
                          }
                        ]
                      }
                    ]
                  }
                ]
              },
              {
                "name": "count",
                "kind": "optional",
                "type": "integer<int32>",
                "description": "",
                "format": "int32"
              },
              {
                "name": "offset",
                "kind": "optional",
                "type": "integer<int32>",
                "description": "",
                "format": "int32"
              },
              {
                "name": "limit",
                "kind": "optional",
                "type": "integer<int32>",
                "description": "",
                "format": "int32"
              }
            ],
            "modelRef": "#/components/schemas/RestRunningJobStreamingCollection",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Invalid limit request. Change the limit to less than 10000.",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "403",
        "description": "IP address was not allowed to access jobs rest api server.",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "M-snM3DNHvd8k2YNafsYU",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.campaign.episerver.net/rest/{clientId}/customerjobs/running \\\n     --header 'accept: application/json'"
        },
        {
          "id": "CTDuquICN7Q0NT2cFEirA",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.campaign.episerver.net/rest/{clientId}/customerjobs/running\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "n0lCmHxg5WYhPeL2aIi0N",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.campaign.episerver.net/rest/{clientId}/customerjobs/running\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "L2mgyyjO5cPPOT-4GXvnY",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.campaign.episerver.net/rest/{clientId}/customerjobs/running\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "M-snM3DNHvd8k2YNafsYU"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// All running scheduled jobs were retrieved successfully (empty result if none was found).\n{\n  \"elements\": [\n    {\n      \"name\": \"\",\n      \"started\": \"\",\n      \"elapsedRunningTime\": {\n        \"seconds\": \"\",\n        \"zero\": false,\n        \"nano\": \"\",\n        \"negative\": false,\n        \"units\": [\n          {\n            \"durationEstimated\": false,\n            \"duration\": {\n              \"seconds\": \"\",\n              \"zero\": false,\n              \"nano\": \"\",\n              \"negative\": false\n            },\n            \"timeBased\": false,\n            \"dateBased\": false\n          }\n        ]\n      }\n    }\n  ],\n  \"count\": \"\",\n  \"offset\": \"\",\n  \"limit\": \"\"\n}"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Invalid limit request. Change the limit to less than 10000.\n"
        },
        {
          "id": "response-2-403",
          "language": "403",
          "code": "// IP address was not allowed to access jobs rest api server.\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}